Name: libextractor
Version: 0.4.2
Release: alt1.2

Summary: libextractor is a simple library for keyword extraction
Group: System/Libraries
License: GPL
Url: http://gnunet.org/%name/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/download/%name-%version.tar.bz2
Patch: %name-0.4.0-alt-ole2_makefile.patch

# Automatically added by buildreq on Thu Mar 17 2005
BuildRequires: bzlib-devel cvs freetype2-devel gcc-c++ gcc-g77 glib2-devel libImageMagick-devel libjpeg-devel liblcms-devel libltdl-devel libogg-devel libstdc++-devel libtiff-devel libvorbis-devel pkgconfig xorg-x11-devel zlib-devel

%description
libextractor is a simple library for keyword extraction.
libextractor does not support all formats but supports a simple plugging
mechanism such that you can quickly add extractors for additional
formats, even without recompiling libextractor. libextractor typically
ships with a dozen helper-libraries that can be used to obtain keywords
from common file-types.

%package -n extract
Summary: extract is a simple command-line interface to libextractor.
Group: File tools
Requires: %name = %version-%release

%description -n extract
libextractor is a simple library for keyword extraction.
This package privides the extract is a simple command-line interface to
libextractor.

%package devel
Summary: %name development files and libraries
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the files needed to build packages that depend on %name.

%prep
%setup -q
%patch -p1
#%__subst 's,\$(oledir),,g' src/plugins/Makefile*

%build
autoreconf -ifsv
%configure --disable-static

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/%name/*.la

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%_libdir/%name/*.so
%doc AUTHORS README NEWS TODO

%files -n extract
%_bindir/extract
%_man1dir/*

%files devel
%_includedir/*
%_libdir/*.so
%_man3dir/*

%changelog
* Thu Sep 15 2005 Anton Farygin <rider@altlinux.ru> 0.4.2-alt1.2
- rebuild with libMagick.so.9

* Mon Sep 12 2005 Anton Farygin <rider@altlinux.ru> 0.4.2-alt1.1
- rebuild with new libImageMagick

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Sun Jan 16 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt2
- fixed OLE plugin build.

* Sun Jan 16 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0.

* Fri Sep 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.7-alt1
- 0.3.7

* Wed Jun 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Tue Jun 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt0.5
- 0.3.2

* Tue Apr 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt0.5
- 0.3.0
- plugins moved to separate directory.

* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.6-alt0.6
- do not package .la files.

* Sat Nov 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.6-alt0.5
- First build for Sisyphus.
